GoClixy Requirements

  • Unix/Linux/Windows/MaxOS X Server
  • PHP Version 5.6 +
  • MySQL 5.6 or above (InnoDB support required)
  • PHP IonCube Loader Extension
  • PHP Curl Extension
  • PHP Exif Extension - GoClixy uses this extension to check the orientation of an image uploaded through iPhone.
  • PHP ICONV (php-iconv) - For Captcha
  • PHP ZIP - For Bulk Import/Export and Version Files Update
  • The allow_url_fopen must be set to 0 in php.ini file (allow_url_fopen=0) for YouTube Videos section.
  • To use SEO URLs, you must have the Apache mod_rewrite extension installed.

If you are doing installation on a local computer, a number of packages can be used to set up GoClixy quicker than individual installations:

  • LAMP (Linux): Open source web development platform that uses Linux as the operating system, Apache as the Web Server, MySQL as the Database and PHP as the language.
  • WAMP (Windows): For more information, visit http://www.wampserver.com
  • MAMP (Macintosh): For more information, visit http://www.mamp.info
  • XAMPP (Multi-platform): For more information, visit http://www.apachefriends.org/en/xampp.html